import { ElementRef, Renderer2 } from '@angular/core';
import { AbstractControlDirective } from './abstract-control.directive';
import { FormsConfig } from '../../types';
export declare class NumberInputControlDirective extends AbstractControlDirective<number> {
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig);
    onInput(): void;
    onBlur(): void;
    getValue(): number;
    setValue(value: number): void;
    setDisabled(disabled: boolean): void;
}
